Query Global Queue Settings
Query the global queue settings.
Request URL
GET {base_url}/{api_path}/queue_option/get?access_token={access_token}
Request parameters
No request parameters. Send the request URL directly to query the global queue settings.
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Array <Global_Settings> | Global queue settings. |
Global_Settings
| Parameter | Type | Description |
|---|---|---|
| enb_honor_wrapup_time | Integer | Whether shared wrap-up time among multiple queues are enabled.
|
| dynamic_agent_default_status | String | The default status assigned to dynamic agents when they are newly added to a queue.
|
| enb_process_result_sync | Integer | Whether processing result synchronization for repeat calls is enabled.
|
| time_range | Integer | The time range (in hours) within which the processing result of repeat calls from the same callers to the same queue will synchronized. Note: This window is defined as the period of {X} hours leading up to the time when the call processing result is updated. All records within this period will be updated accordingly. |
Examples
Request example
GET /openapi/v1.0/queue_option/get?access_token=kiRFn8ugKJwIArRL9Uq1ly4svdRSDM2Y HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"enb_honor_wrapup_time": 1,
"dynamic_agent_default_status": "login",
"enb_process_result_sync": 1,
"time_range": 8
}
}